org.apache.hc.client5.http.impl

## Class NamedElementChain.Node

- java.lang.Object
- - org.apache.hc.client5.http.impl.NamedElementChain.Node

Enclosing class:
  NamedElementChain<E>

    public class NamedElementChain.Node
    extends Object

### Method Summary

Methods
`String` `getName()`
`NamedElementChain.Node` `getNext()`
`NamedElementChain.Node` `getPrevious()`
`E` `getValue()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getValue

    public E getValue()

#### getPrevious

    public NamedElementChain.Node getPrevious()

#### getNext

    public NamedElementChain.Node getNext()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`